Package org.pushingpixels.substance.flamingo.ribbon.ui

# Class SubstanceRibbonBandUI

java.lang.Object
javax.swing.plaf.ComponentUI
org.pushingpixels.flamingo.internal.ui.ribbon.RibbonBandUI
org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonBandUI
org.pushingpixels.substance.flamingo.ribbon.ui.SubstanceRibbonBandUI

public class SubstanceRibbonBandUI extends org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonBandUI
UI for ribbon bands in Substance look and feel.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonBandUI

`org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonBandUI.CollapsedButtonPopupPanel, org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonBandUI.RoundBorder`

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonBandUI

`collapsedButton, expandButton, expandButtonActionListener, mouseListener, propertyChangeListener, ribbonBand, rolloverAmount, rolloverTimeline`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceRibbonBandUI()`

## Method Summary

Modifier and Type
Method
Description
`protected org.pushingpixels.flamingo.api.common.JCommandButton`
`createExpandButton()`
`static ComponentUI`
`createUI(JComponent comp)`
`int`
`getBandTitleHeight()`
`protected void`
`installComponents()`
`protected void`
`installDefaults()`
`protected void`
`paintBandBackground(Graphics graphics, Rectangle toFill)`
`protected void`
`paintBandTitle(Graphics graphics, Rectangle titleRectangle, String title)`
`protected void`
`paintBandTitleBackground(Graphics g, Rectangle titleRectangle, String title)`
`static void`
`paintRibbonBandBackground(Graphics graphics, Component comp, float rolloverAmount, int dy)`
`protected void`
`syncExpandButtonIcon()`
`protected void`
`uninstallDefaults()`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonBandUI

`configureExpandButton, createLayoutManager, getCollapsedButton, getExpandButton, getPreferredCollapsedWidth, getRolloverAmount, installListeners, installUI, paint, setRolloverAmount, trackMouseCrossing, unconfigureExpandButton, uninstallComponents, uninstallListeners, uninstallUI, update`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceRibbonBandUI

public SubstanceRibbonBandUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installDefaults

protected void installDefaults()

Overrides:
  `installDefaults` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonBandUI`

### uninstallDefaults

protected void uninstallDefaults()

Overrides:
  `uninstallDefaults` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonBandUI`

### installComponents

protected void installComponents()

Overrides:
  `installComponents` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonBandUI`

### paintBandTitle

protected void paintBandTitle(Graphics graphics, Rectangle titleRectangle, String title)

Overrides:
  `paintBandTitle` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonBandUI`

### paintBandTitleBackground

protected void paintBandTitleBackground(Graphics g, Rectangle titleRectangle, String title)

Overrides:
  `paintBandTitleBackground` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonBandUI`

### paintBandBackground

protected void paintBandBackground(Graphics graphics, Rectangle toFill)

Overrides:
  `paintBandBackground` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonBandUI`

### paintRibbonBandBackground

public static void paintRibbonBandBackground(Graphics graphics, Component comp, float rolloverAmount, int dy)

### getBandTitleHeight

public int getBandTitleHeight()

Overrides:
  `getBandTitleHeight` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonBandUI`

### createExpandButton

protected org.pushingpixels.flamingo.api.common.JCommandButton createExpandButton()

Overrides:
  `createExpandButton` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonBandUI`

### syncExpandButtonIcon

protected void syncExpandButtonIcon()

Overrides:
  `syncExpandButtonIcon` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonBandUI`